//
//  PrefPaneUtilsTester.m
//  PrefPaneUtils
//
//  Created by Dave Jewell on 07/12/2008.
//  Copyright 2008 Cocoa Secrets. All rights reserved.
//

#import "PrefPaneUtilsTester.h"
#import "NSPrefPaneUtils.h"

@implementation PrefPaneUtilsTester

- (void) awakeFromNib
{
	NSLog (@"Mac OS X Server = %@", [NSPrefPaneUtils isMacOSXServer] ? @"YES" : @"NO");
	NSLog (@"Computer has battery = %@", [NSPrefPaneUtils hasBattery] ? @"YES" : @"NO");
	NSLog (@"Time machine enabled = %@", [NSPrefPaneUtils isTimeMachineEnabled] ? @"YES" : @"NO");
	
	// Examples for key code usage: comments show the resulting output.  
	// Note: 96 is virtual keycode for F5 on my keyboard.  It might not be on yours!
	
	NSLog ([NSPrefPaneUtils stringForSymbolicKey: 8]);																			// ^F3
	
	NSLog ([NSPrefPaneUtils _labelForVirtualKey: 96]);																			// F5
	NSLog ([NSPrefPaneUtils humanStringForVirtualKey: 96 modifiers:  NSCommandKeyMask]);		// Command F5
	NSLog ([NSPrefPaneUtils _stringForVirtualKey: 96 modifiers: NSCommandKeyMask]);					// F5
	NSLog ([NSPrefPaneUtils stringForVirtualKey: 96 modifiers: NSCommandKeyMask]);					// ⌘F5
	NSLog ([NSPrefPaneUtils stringForModifiers: NSCommandKeyMask]);													// ⌘
	NSLog ([NSPrefPaneUtils humanStringForModifiers: NSCommandKeyMask]);										// Command
	if ([NSPrefPaneUtils isFunctionKey: 96]) NSLog (@"%@ is a function key", [NSPrefPaneUtils _labelForVirtualKey: 96]);
}

@end
